import { jsx } from "react/jsx-runtime";
import { HeartbeatIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Heartbeat = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Heartbeat", ...props, children: /* @__PURE__ */ jsx(HeartbeatIcon, { weight: variant }) });
  }
);
Heartbeat.displayName = "Heartbeat";
Object.assign(Heartbeat, { isGdsIcon: true });
export {
  Heartbeat
};
